Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdService

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdService

Direct Known Subclasses:
  `cmdService.VAT`

    public class cmdService
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdService.VAT` | Class VAT - provides methods for working with tax rates on the Fiscal devices

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdService()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `customCommand​(java.lang.String cmd, java.lang.String data)` | Enables the user to execute any of the protocol commands
  `java.lang.String` | `GetDeviceSerialNumber()` |
  `java.lang.String` | `GetFiscalMemoryNumber()` |
  `java.util.ArrayList<java.lang.String>` | `getLastErrorMessage​(boolean clearError)` |
  `boolean` | `isErrorMessageInResponse()` |
  `void` | `PrintDiagnosticInfo()` | Print Diagnostic Info
  `void` | `setErrorMessageInResponse​(boolean enable)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdService

    public cmdService()

- ## Method Details

  - ### setErrorMessageInResponse

    public void setErrorMessageInResponse​(boolean enable) throws java.lang.Exception
    Parameters:
      `enable` - if true Allow Return of Optional Text in Response to the error command

      Support FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.Exception`

  - ### isErrorMessageInResponse

    public boolean isErrorMessageInResponse() throws java.lang.Exception
    Returns:
      true if true Allow Return of Optional Text in Response to the error command *

      Support FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

    Throws:
      `java.lang.Exception`

  - ### getLastErrorMessage

    public java.util.ArrayList<java.lang.String> getLastErrorMessage​(boolean clearError) throws java.lang.Exception
    Returns:
      - EXTENDED INFORMATION ON THE LAST ERROR

      Support FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550

      res[0] = "Command" +"ErrorCode"+"DateTime" DD-MM-YY hh:mm:ss res[1] = "Command" res[2] = "ErrorCode" res[3] = "DateTime" DD-MM-YY hh:mm:ss

    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.Exception`

  - ### PrintDiagnosticInfo

    public void PrintDiagnosticInfo() throws java.lang.Exception
    Print Diagnostic Info
    Throws:
      `java.lang.Exception`

  - ### customCommand

    public java.lang.String customCommand​(java.lang.String cmd, java.lang.String data) throws java.lang.Exception
    Enables the user to execute any of the protocol commands
    Parameters:
      `cmd` - - Command
      `data` - - Data
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.Exception`

  - ### GetFiscalMemoryNumber

    public java.lang.String GetFiscalMemoryNumber() throws java.lang.Exception
    Returns:
      Device Fiscal Memory Number
    Throws:
      `java.lang.Exception`

  - ### GetDeviceSerialNumber

    public java.lang.String GetDeviceSerialNumber() throws java.lang.Exception
    Returns:
      Device Serial Number
    Throws:
      `java.lang.Exception`